Index: /extensions/UserAdvManager/trunk/language/en_UK/help.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/en_UK/help.lang.php	(revision 12839)
+++ /extensions/UserAdvManager/trunk/language/en_UK/help.lang.php	(revision 12840)
@@ -35,50 +35,11 @@
 ...
 ';
-$lang['UAM_userlistTitle_d'] = 'This page is for information to the administrator. It displays a list of all users registered on the gallery showing the date and number of days since their last visit. The list is sorted in ascending order of number of days.
-<br><br>
-<b><u>Only when the Ghost Tracker is active</u></b>, the number of days without a visit appears as the following color code, according to the maximum set in the Ghost Tracker options:
-<br>
-- <b style=&quot;color: lime;&quot;>Green</b> : When the user has visited the gallery <b style=&quot;color: lime;&quot;><u>less than 50%</u></b> of the maximum indicated in the Ghost Tracker.<br>
-- <b style=&quot;color: orange;&quot;>Orange</b> : When the user has visited the gallery <b style=&quot;color: orange;&quot;><u> between 50% and 99% </u></b> of the maximum indicated in the Ghost Tracker.<br>
-- <b style=&quot;color: red;&quot;>Red</b> : When the user has visited the gallery <b style=&quot;color: red;&quot;><u>for more than 100%</u></b> of the maximum indicated in the Ghost Tracker. <b><u>In this case, the user must also appear in the Ghost Tracker table.</u></b><br>
-<br>
-Example :
-<br>
-The maximum period of Ghost Tracker is configured to 100 days.
-<br>
-A user will appear in green if he visited the gallery for less than 50 days, in orange if his last visit took place between 50 and 99 days and red for 100 days and above.
-<br><br>
-<b>NOTE</b>: The list does not display who have not validated their registration (if the option of validating the registration is activated). These users are then managed in a special way in the &quot;Tracking confirmations&quot; tab.
+$lang['UAM_gtTitle_d'] = 'When Ghost Tracker is enabled and initialized, you will find below the list of registered visitors who have not returned since x days. &quot;x&quot; is the number of days configured in the General Setup tab. In addition, you will find a column indicating whether an email reminder has been sent to targeted visitors. So, you can see at a glance and treat visitors who have not taken account of the reminder.<br><br>In this view, you can:
+<br><br>
+- Manually delete accounts <b>(manual drain)</b>
+<br>
+- Generate email reminder <b>with resetting the last visit date</b>. This allows to give a wildcard to targeted visitors. If the visitor has already received a reminder, nothing prevents to resent a new mail which will reset again, in fact, the last visit date.
 <br><br>
 <b>Table Sorting Function</b>: You can sort the data displayed by clicking on the column headers. Hold the SHIFT key to sort up to 4 simultaneous columns.';
-$lang['UAM_usermanTitle_d'] = 'When limiting the deadline for registration is enabled, you will find below the list of users whose confirmation of registration is expected, <b style=&quot;text-decoration: underline;&quot;>whether or not</b> they are in time to validate.<br><br>
-The registration date is displayed in green when the user concerned is below the time limit to validate his registration. In this case, the confirmation key is still valid and we can send an email with or without a new confirmation key.<br><br>
-When the registration date appears in red, the confirmation period has expired. In this case, you must send an email with regeneration of confirmation key if you want to enable the user to validate their registration.<br><br>
-In all cases, it is possible to manually force the confirmation.<br><br>
-In this view, you can:
-<br><br>
-- Manually delete accounts <b>(manual drain)</b>
-<br>
-- Generate email reminder <b>without</b> generating a new key. Warning: Send an email reminder to targeted visitors. This function does not reset the date of registration of targeted visitors and the timeout is still valid.
-<br>
-- Generate email reminder <b>with</b> generating a new key. Warning : Send an email reminder to targeted visitors. This function also resets the date of registration of targeted visitors which equates to extend the deadline for confirmation.
-<br>
-- Submit a registration awaiting confirmation manually even if the expiry date has passed <b>(forcing confirmation)</b>.
-<br><br>
-<b>Table Sorting Function</b>: You can sort the data displayed by clicking on the column headers. Hold the SHIFT key to sort up to 4 simultaneous columns.';
-$lang['UAM_gtTitle_d'] = 'When Ghost Tracker is enabled and initialized, you will find below the list of registered visitors who have not returned since x days. &quot;x&quot; is the number of days configured in the General Setup tab. In addition, you will find a column indicating whether an email reminder has been sent to targeted visitors. So, you can see at a glance and treat visitors who have not taken account of the reminder.<br><br>In this view, you can:
-<br><br>
-- Manually delete accounts <b>(manual drain)</b>
-<br>
-- Generate email reminder <b>with resetting the last visit date</b>. This allows to give a wildcard to targeted visitors. If the visitor has already received a reminder, nothing prevents to resent a new mail which will reset again, in fact, the last visit date.
-<br><br>
-<b>Table Sorting Function</b>: You can sort the data displayed by clicking on the column headers. Hold the SHIFT key to sort up to 4 simultaneous columns.';
-$lang['UAM_confirmmailTitle_d'] = 'This option allows a user to either confirm registration by clicking on a link received in an email sent upon registration or the administrator to manually activate the registration.<br><br>
-In first case, the e-mail is composed of a customizable part to introduce a little welcome note and a fixed part containing the activation link that is generated from a random key that can possibly regenerate through the &quot;Tracking confirmations&quot; tab.<br><br>
-In second case, <b><u>there is no confirmation key send by email!</u></b>. Visitors have to wait until an administrator validate them himself in &quot;confirmation tracking&quot; tab. It\s recommanded to activate the Piwigo\'s option &quot;Email admins when a new user registers&quot; (see in Piwigo\'s configuration options) and to use the &quot;Information email to user&quot; to warn new registers to wait on their account activation.
-<br>
-<b style=&quot;color: red;&quot;>NB: Options &quot;Deadline for confirmation of registration limited&quot; and &quot;Remind unvalidated users  &quot; have to be set to off when admin\'s manual confirmation is enabled.</b>
-<br><br>
-This option is generally used with the automatic assignment of group and/or statutes. For example, a user who has not validated their registration will be set in a specific group of users (with or without restrictions on the gallery) while a user who validated his registration shall be set in a &quot;normal&quot; group.';
 // --------- End: New or revised $lang ---- from version 2.15.4
 
@@ -102,29 +63,4 @@
 
 
-// --------- Starting below: New or revised $lang ---- from version 2.20.0
-$lang['UAM_validationlimitTitle_d'] = 'This option allows to limit the validity of confirmation key email sent to new registrants. Visitors who register will have x days of time to validate their registration. After this period the confirmation link will expire.
-<br><br>
-This option is used in conjunction with the &quot;Confirmation of registration&quot;
-<br><br>
-If this option and the option &quot;Remind unvalidated users&quot; are activated, new options will appear below in this section to enable the automation of unvalidated users management.';
-$lang['UAM_remailTitle_d'] = 'This option allows you to send a reminder email to users registered but have not validated their registration on time. It therefore works in conjunction with the &quot;Confirmation of registration&quot;
-<br><br>
-2 types of emails can be sent: With or without regeneration of the confirmation key. As appropriate, the content of emails can be customized.
-<br><br>
-Refer to the &quot;Tracking confirmations&quot; tab.
-<br><br>
-If this option and the option &quot;Deadline for registration confirmation limited&quot; are activated, new options will appear below in this section to enable the automation of unvalidated users management.';
-$lang['UAM_USRAutoTitle_d'] = 'Automatic handling of unvalidated visitors is triggered each time you connect to the gallery and works as follows:
-<br><br>
-- Automatic deletion of accounts not validated in the allotted time without sending automatic email reminder -> &quot;Deadline for registration confirmation limited&quot; <b><u>enabled</u></b> and &quot;Remind unvalidated users&quot; <b><u>disabled</u></b>.
-<br><br>
-- Automatically sending a reminder message with a new generation of confirmation key and automatic deletion of accounts not validated in the time after sending the reminder -> &quot;Deadline for registration confirmation limited&quot; <b><u>enabled</u></b> et &quot;Remind unvalidated users&quot; <b><u>enabled</u></b>.';
-$lang['UAM_USRAutoMailTitle_d'] = 'When activated, this function will automatically send personalized content in &quot;Reminder email with new key generated&quot; to visitors who match criteria.';
-$lang['UAM_StuffsTitle_d'] = 'This enables an additional UAM block in PWG Stuffs plugin (if installed) to inform your visitors who did not validate their registration about their condition.
-<br><br>
-Please refer to the <b>Tips and Examples of Use</b> at the bottom of this page for details.';
-// --------- End: New or revised $lang ---- from version 2.20.0
-
-
 // --------- Starting below: New or revised $lang ---- from version 2.20.4
 $lang['UAM_HidePasswTitle_d'] = 'Choose here if you want to display the password chosen by the visitor in the information email. If you enable the option, the password will then appear in clear text. If you disable the password will not appear at all.';
@@ -142,44 +78,5 @@
 <br><br>
 To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
-$lang['UAM_confirmtxtTitle_d'] = 'Enter the introductory text that you want to appear in the email confirmation of registration.
-<br><br>
-Further customize the content with special inserted tags:<br>
-- <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email.<br>
-- <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.<br>
-- <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options.<br>
-- <b style=&quot;color: red;&quot;>[Kdays]</b> to insert the number of days limit to validate a registration (&quot;Deadline for registration confirmation limited;&quot; have to be enabled).
-<br><br>
-To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
-$lang['UAM_remailtxt1Title_d'] = 'Enter the introductory text that you want to appear in the reminder email, in addition to the confirmation key regenerated.
-<br><br>
-If left blank, the mail reminder will include only the confirmation link. It is therefore strongly advised to take a little explanatory text. (NB: The text pre-filled with the installation of the plugin is provided as an example).
-<br><br>
-Further customize the content with special inserted tags:<br>
-- <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email.<br>
-- <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.<br>
-- <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options.<br>
-- <b style=&quot;color: red;&quot;>[Kdays]</b> to insert the number of days limit to validate a registration (&quot;Deadline for registration confirmation limited;&quot; have to be enabled).
-<br><br>
-To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
-$lang['UAM_remailtxt2Title_d'] = 'Enter the introductory text that you want to appear in the reminder email without a confirmation key regenerated.
-<br><br>
-If left blank, the mail reminder will be empty. It is therefore strongly advised to take a little explanatory text. (NB: The text pre-filled with the installation of the plugin is provided as an example).
-<br><br>
-Further customize the content with special inserted tags:<br>
-- <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email.<br>
-- <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.<br>
-- <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options.<br>
-- <b style=&quot;color: red;&quot;>[Kdays]</b> to insert the number of days limit to validate a registration (&quot;Deadline for registration confirmation limited; have to be enabled).
-<br><br>
-To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
 $lang['UAM_infotxtTitle_d'] = 'Enter the introductory text that you want to appear in the information email.
-<br><br>
-Further customize the content with special inserted tags:<br>
-- <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email.<br>
-- <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.<br>
-- <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options.
-<br><br>
-To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
-$lang['UAM_AdminValidationMail_d'] = 'When an administrator or Webmaster of the gallery manually valid registration pending, a notification email is automatically sent to the user. Enter here the text that appears in this email.
 <br><br>
 Further customize the content with special inserted tags:<br>
@@ -298,13 +195,4 @@
 
 
-// --------- Starting below: New or revised $lang ---- from version 2.30.2
-$lang['UAM_RejectConnexion_d'] = 'If activated, new registered users who have not validate their registration won\'t be able to connect to the gallery. They will be redirected to a special page to inform them of this state.<br><br>
-<b style=&quot;color: red;&quot;>Warning - This feature works only in conjunction with confirmation groups! See below to set the groups as required.</b>';
-$lang['UAM_RejectConnexion_Custom_Txt_d'] = 'Customize here your explanation text for inform unvalidated users that they won\'t be able to connect the gallery until they have validate their registration.
-<br><br>
-This field is compatible with the FCK Editor and, for multi-languages, you can use the [lang] tags of the Extended description plugin if it\'s active.';
-// --------- End: New or revised $lang ---- from version 2.30.2
-
-
 // --------- Starting below: New or revised $lang ---- from version 2.30.3
 $lang['UAM_mailexcTitle_d'] = 'By default, Piwigo accepts all email addresses in the format xxx@yyy.zz. Enabling this option allows you to exclude certain domains in the format: @ [domain_name].[domain_extension].<br><br>
@@ -313,4 +201,108 @@
 @hotmail -> excluding all addresses *@hotmail*<br><br>
 <b style=&quot;color: red;&quot;>Warning - This feature works only if emails are mandatory for registrations! Please see Piwigo\'s configuration options.</b>';
+$lang['UAM_userlistTitle_d'] = 'This page is for information to the administrator. It displays a list of all users registered on the gallery showing the date and number of days since their last visit. The list is sorted in ascending order of number of days.
+<br><br>
+<b><u>Only when the Ghost Tracker is active</u></b>, the number of days without a visit appears as the following color code, according to the maximum set in the Ghost Tracker options:
+<br>
+- <b style=&quot;color: lime;&quot;>Green</b> : When the user has visited the gallery <b style=&quot;color: lime;&quot;><u>less than 50%</u></b> of the maximum indicated in the Ghost Tracker.<br>
+- <b style=&quot;color: orange;&quot;>Orange</b> : When the user has visited the gallery <b style=&quot;color: orange;&quot;><u> between 50% and 99% </u></b> of the maximum indicated in the Ghost Tracker.<br>
+- <b style=&quot;color: red;&quot;>Red</b> : When the user has visited the gallery <b style=&quot;color: red;&quot;><u>for more than 100%</u></b> of the maximum indicated in the Ghost Tracker. <b><u>In this case, the user must also appear in the Ghost Tracker table.</u></b><br>
+<br>
+Example :
+<br>
+The maximum period of Ghost Tracker is configured to 100 days.
+<br>
+A user will appear in green if he visited the gallery for less than 50 days, in orange if his last visit took place between 50 and 99 days and red for 100 days and above.
+<br><br>
+<b>NOTE</b>: The list does not display who have not confirmed their registration (if the option of confirming the registration is activated). These users are then managed in a special way in the &quot;Tracking confirmations&quot; tab.
+<br><br>
+<b>Table Sorting Function</b>: You can sort the data displayed by clicking on the column headers. Hold the SHIFT key to sort up to 4 simultaneous columns.';
+$lang['UAM_usermanTitle_d'] = 'When limiting the deadline for registration is enabled, you will find below the list of users whose confirmation of registration is expected, <b style=&quot;text-decoration: underline;&quot;>whether or not</b> they are in time to confirm.<br><br>
+The registration date is displayed in green when the user concerned is below the time limit to confirm his registration. In this case, the confirmation key is still valid and we can send an email with or without a new confirmation key.<br><br>
+When the registration date appears in red, the confirmation period has expired. In this case, you must send an email with regeneration of confirmation key if you want to enable the user to confirm their registration.<br><br>
+In all cases, it is possible to manually force the confirmation.<br><br>
+In this view, you can:
+<br><br>
+- Manually delete accounts <b>(manual drain)</b>
+<br>
+- Generate email reminder <b>without</b> generating a new key. Warning: Send an email reminder to targeted visitors. This function does not reset the date of registration of targeted visitors and the timeout is still valid.
+<br>
+- Generate email reminder <b>with</b> generating a new key. Warning : Send an email reminder to targeted visitors. This function also resets the date of registration of targeted visitors which equates to extend the deadline for confirmation.
+<br>
+- Submit a registration awaiting confirmation manually even if the expiry date has passed <b>(forcing confirmation)</b>.
+<br><br>
+<b>Table Sorting Function</b>: You can sort the data displayed by clicking on the column headers. Hold the SHIFT key to sort up to 4 simultaneous columns.';
+$lang['UAM_confirmmailTitle_d'] = 'This option allows a user to either confirm registration by clicking on a link received in an email sent upon registration or the administrator to manually activate the registration.<br><br>
+In first case, the e-mail is composed of a customizable part to introduce a little welcome note and a fixed part containing the activation link that is generated from a random key that can possibly regenerate through the &quot;Tracking confirmations&quot; tab.<br><br>
+In second case, <b><u>there is no confirmation key send by email!</u></b>. Visitors have to wait until an administrator confirm them himself in &quot;confirmation tracking&quot; tab. It\s recommanded to activate the Piwigo\'s option &quot;Email admins when a new user registers&quot; (see in Piwigo\'s configuration options) and to use the &quot;Information email to user&quot; to warn new registers to wait on their account activation.
+<br>
+<b style=&quot;color: red;&quot;>NB: Options &quot;Deadline for confirmation of registration limited&quot; and &quot;Remind unconfirmed users  &quot; have to be set to off when admin\'s manual confirmation is enabled.</b>
+<br><br>
+This option is generally used with the automatic assignment of group and/or statutes. For example, a user who has not confirmed their registration will be set in a specific group of users (with or without restrictions on the gallery) while a user who confirmed his registration shall be set in a &quot;normal&quot; group.';
+$lang['UAM_validationlimitTitle_d'] = 'This option allows to limit the validity of confirmation key email sent to new registrants. Visitors who register will have x days of time to confirm their registration. After this period the confirmation link will expire.
+<br><br>
+This option is used in conjunction with the &quot;Confirmation of registration&quot;
+<br><br>
+If this option and the option &quot;Remind unconfirmed users&quot; are activated, new options will appear below in this section to enable the automation of unconfirmed users management.';
+$lang['UAM_remailTitle_d'] = 'This option allows you to send a reminder email to users registered but have not confirmed their registration on time. It therefore works in conjunction with the &quot;Confirmation of registration&quot;
+<br><br>
+2 types of emails can be sent: With or without regeneration of the confirmation key. As appropriate, the content of emails can be customized.
+<br><br>
+Refer to the &quot;Tracking confirmations&quot; tab.
+<br><br>
+If this option and the option &quot;Deadline for registration confirmation limited&quot; are activated, new options will appear below in this section to enable the automation of unconfirmed users management.';
+$lang['UAM_USRAutoTitle_d'] = 'Automatic handling of unconfirmed visitors is triggered each time you connect to the gallery and works as follows:
+<br><br>
+- Automatic deletion of accounts not confirmed in the allowed time without sending automatic email reminder -> &quot;Deadline for registration confirmation limited&quot; <b><u>enabled</u></b> and &quot;Remind unconfirmed users&quot; <b><u>disabled</u></b>.
+<br><br>
+- Automatically sending a reminder message with a new generation of confirmation key and automatic deletion of accounts not confirmed in the time after sending the reminder -> &quot;Deadline for registration confirmation limited&quot; <b><u>enabled</u></b> et &quot;Remind unconfirmed users&quot; <b><u>enabled</u></b>.';
+$lang['UAM_USRAutoMailTitle_d'] = 'When activated, this function will automatically send personalized content in &quot;Reminder email with new key generated&quot; to visitors who match criteria.';
+$lang['UAM_StuffsTitle_d'] = 'This enables an additional UAM block in PWG Stuffs plugin (if installed) to inform your visitors who did not confirm their registration about their condition.
+<br><br>
+Please refer to the <b>Tips and Examples of Use</b> at the bottom of this page for details.';
+$lang['UAM_confirmtxtTitle_d'] = 'Enter the introductory text that you want to appear in the email confirmation of registration.
+<br><br>
+Further customize the content with special inserted tags:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options.<br>
+- <b style=&quot;color: red;&quot;>[Kdays]</b> to insert the number of days limit to confirm a registration (&quot;Deadline for registration confirmation limited;&quot; have to be enabled).
+<br><br>
+To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
+$lang['UAM_remailtxt1Title_d'] = 'Enter the introductory text that you want to appear in the reminder email, in addition to the confirmation key regenerated.
+<br><br>
+If left blank, the mail reminder will include only the confirmation link. It is therefore strongly advised to take a little explanatory text. (NB: The text pre-filled with the installation of the plugin is provided as an example).
+<br><br>
+Further customize the content with special inserted tags:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options.<br>
+- <b style=&quot;color: red;&quot;>[Kdays]</b> to insert the number of days limit to confirm a registration (&quot;Deadline for registration confirmation limited;&quot; have to be enabled).
+<br><br>
+To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
+$lang['UAM_remailtxt2Title_d'] = 'Enter the introductory text that you want to appear in the reminder email without a confirmation key regenerated.
+<br><br>
+If left blank, the mail reminder will be empty. It is therefore strongly advised to take a little explanatory text. (NB: The text pre-filled with the installation of the plugin is provided as an example).
+<br><br>
+Further customize the content with special inserted tags:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options.<br>
+- <b style=&quot;color: red;&quot;>[Kdays]</b> to insert the number of days limit to confirm a registration (&quot;Deadline for registration confirmation limited; have to be enabled).
+<br><br>
+To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
+$lang['UAM_AdminValidationMail_d'] = 'When an administrator or Webmaster of the gallery manually confirm registration pending, a notification email is automatically sent to the user. Enter here the text that appears in this email.
+<br><br>
+Further customize the content with special inserted tags:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options.
+<br><br>
+To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
+$lang['UAM_RejectConnexion_d'] = 'If activated, new registered users who have not confirm their registration won\'t be able to connect to the gallery. They will be redirected to a special page to inform them of this state.<br><br>
+<b style=&quot;color: red;&quot;>Warning - This feature works only in conjunction with confirmation groups! See below to set the groups as required.</b>';
+$lang['UAM_RejectConnexion_Custom_Txt_d'] = 'Customize here your explanation text for inform unconfirmed users that they won\'t be able to connect the gallery until they have confirmed their registration.
+<br><br>
+This field is compatible with the FCK Editor and, for multi-languages, you can use the [lang] tags of the Extended description plugin if it\'s active.';
 // --------- End: New or revised $lang ---- from version 2.30.3
 ?>
Index: /extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 12839)
+++ /extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 12840)
@@ -15,9 +15,4 @@
 $lang['UAM_Password: %s'] = 'Password: %s';
 $lang['UAM_Link: %s'] = 'Please, click on this link to confirm your registration : %s';
-
-
-/* Email confirmation page */
-$lang['UAM_title_confirm_mail'] = 'Validate your registration';
-$lang['UAM_confirm_mail_page_title'] = 'Validate your registration';
 
 
@@ -42,6 +37,4 @@
 $lang['UAM_%d_Reminder_Sent'] = '%d reminder message was sent';
 $lang['UAM_%d_Reminders_Sent'] = '%d reminder messages were sent';
-$lang['UAM_%d_Validated_User'] = '%d User validated manually';
-$lang['UAM_%d_Validated_Users'] = '%d Users validated manually';
 
 
@@ -121,11 +114,6 @@
 $lang['UAM_Confirm_Mail'] = 'Confirmation of registration:';
 $lang['UAM_ConfirmMail_Text'] = ' Customizing the confirmation email:';
-$lang['UAM_No_Confirm_Group'] = 'Group for users who have not validated their registration<br>';
-$lang['UAM_Validated_Group'] = 'Group for users who have validated their registration<br>';
-$lang['UAM_No_Confirm_Status'] = 'Status for users who have not validated their registration<br>';
-$lang['UAM_Validated_Status'] = 'Status for users who have validated their registration<br>';
 $lang['UAM_ValidationLimit_Info'] = 'Deadline for registration confirmation limited';
 $lang['UAM_ConfirmMail_TimeOut_true'] = ' Enable. Number of days until expiration: ';
-$lang['UAM_ConfirmMail_Remail'] = 'Remind unvalidated users';
 $lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Customizing the reminder message <b><u>with</u></b> new regeneration of confirmation key.';
 $lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Customizing the reminder message <b><u>without</u></b> regeneration of confirmation key.';
@@ -173,5 +161,4 @@
 $lang['UAM_LastVisit_Date'] = 'Last visit';
 $lang['UAM_Nb_Days'] = 'Difference in days';
-$lang['UAM_Err_UserManager_Settings'] = 'This page is available only if "Confirmation of registration" is active and if a group of visitors not validated is configured in "Setting confirmations of registration".';
 // --------- End: New or revised $lang ---- from version 2.15.0
 
@@ -212,96 +199,11 @@
 // --------- Starting below: New or revised $lang ---- from version 2.20.0
 $lang['UAM_CustomPasswRetr'] = 'Customize lost password email content';
-$lang['UAM_USRAuto'] = 'Automatic management of unvalidated users';
 $lang['UAM_USRAutoDel'] = 'Custom message on deleted account';
 $lang['UAM_USRAutoMail'] = 'Automated email reminder';
 $lang['UAM_Disable'] = ' Disable (default)';
 $lang['UAM_Enable'] = ' Enable ';
-$lang['UAM_Tips1'] = 'Information of non-validated registration with UAM and PWG_Stuffs';
-$lang['UAM_Tips1_txt'] = '
-          <ul>
-            <li>
-            Goals: Inform the visitor that the registration is awaiting approval by displaying a personal block on the home page of the gallery, and this, as registration is not approved.
-            <br><br>
-            <b>Recall: In standard operation, the "Guest" only sees the public categories, without information message.</b>
-            </li><br><br>
-            <li>
-Prerequisite:<br>
-- A gallery with all or some private categories, visible only by registered users<br>
-- At least 2 following Piwigo\'s users groups: "Waiting," without permission on private categories, and "Validated" with all the permissions on the private categories<br>
-- UAM plugin<br>
-- PWG Stuffs plugin, for adding a special UAM module<br>
-- Optionally, the plugin Extended Description to support multi-languages<br>
-            </li><br><br>
-            <li>
-Stages:<br><br>
-A. In plugin UAM:
-              <ol>
-                <li>Enable registration confirmation</li>
-                <li>Enable PWG Stuffs module option</li>
-                <li>Enter text for additional explanation which will be attached to mail registration confirmation. If the plugin Extended Description is activated, the language tags can be used</li>
-                <li>Select the "Waiting" group under "For users who have not validated their registration"</li>
-                <li>Select the "Validated" group under "For users who have validated their registration"</li>
-                <li>Save the plugin configuration</li>
-              </ol>
-<br>
-B. In plugin PWG Stuffs :
-              <ol>
-                <li>Go to tab "Add a new module"</li>
-                <li>Choose "UAM Module"</li>
-                <li>Configure the module, indicating the title (eg "Registration pending confirmation") and its description, and only check "Waiting" in the list of groups allowed</li>
-                <li>Complete content of the module with the message information to be displayed to users not validated. As UAM, languages markup may be used if the plugin is enabled Extended Description</li>
-                <li>Check "Display the module on the homepage of the site"</li>
-                <li>Validate the configuration of the module</li>
-              </ol>
-            </li>
-          </ul>';
-$lang['UAM_Tips2'] = 'Information of non-validated registration with UAM and Additional Pages';
-$lang['UAM_Tips2_txt'] = '
-          <ul>
-            <li>
-            Goals: Inform the visitor that the registration is awaiting confirmation by posting an additional page replacing the standard index page gallery at each of these connections, and this, as registration is not approved.
-            <br><br>
-            Advantages over the method with PWG_Stuffs: Allow formatting information and displaying the information immediately upon registration of visitors.
-            </li><br><br>
-            <li>
-Prerequisite:<br>
-- A gallery with all or some private categories, visible only by registered users<br>
-- At least 2 following Piwigo\'s users groups: "Waiting," without permission on private categories, and "Validated" with all the permissions on the private categories<br>
-- UAM plugin<br>
-- Additional Pages plugin for adding and managing an additional page to replace the default index page of the gallery<br>
-- Optionally, the plugin Extended Description to support multi-languages<br>
-            </li><br><br>
-            <li>
-Stages:<br><br>
-A. In plugin UAM:
-              <ol>
-                <li>Enable registration confirmation</li>
-                <li>Enter text for additional explanation which will be attached to mail registration confirmation. If the plugin Extended Description is activated, the language tags can be used</li>
-                <li>Select the "Waiting" group under "For users who have not validated their registration"</li>
-                <li>Select the "Validated" group under "For users who have validated their registration"</li>
-                <li>Save the plugin configuration</li>
-              </ol>
-<br>
-B. In plugin Additional Pages:<br>
-                <b>NOTE : The management of access rights for groups on Additional Pages must be turned on (see plugin configuration settings).</b>
-                <br>
-              <ol>
-                <li>Add a new page with at least the following parameters:</li>
-                <ul>
-                  <li>Page name: The name you wish to give to the additional page (ie: Registration not validated)</li>
-                  <li>Set as homepage checked</li>
-                  <li>Groups allowed: Check the box corresponding to the group "Waiting" configured in UAM</li>
-                  <li>Content: The text you want to use for visitors.</li>
-                </ul>
-                <br>
-                <li>And that\'s it! Only visitors registered and whose registration has not been validated will see this additional index page.</li>
-              </ol>
-            </li>
-          </ul>';
 $lang['UAM_No_Ghosts'] = 'No ghosts visitors for the moment';
 $lang['UAM_No_Userlist'] = 'No visitors to list for the moment';
-$lang['UAM_No_Usermanager'] = 'No unvalidated registers to list for the moment';
 $lang['UAM_Stuffs_Title'] = 'UAM block';
-$lang['UAM_Stuffs_Desc'] = 'Adds an information block for unvalidated users';
 $lang['UAM_Stuffs'] = 'PWG Stuffs block';
 // --------- End: New or revised $lang ---- from version 2.20.0
@@ -331,6 +233,4 @@
 $lang['UAM_Confirm_Status'] = 'Statutes<br>(leave ------- to keep the Piwigo\'s default)';
 $lang['UAM_Confirm_Level'] = 'Privacy level<br>(leave ------- to keep the Piwigo\'s default)';
-$lang['UAM_No_Valid_Level'] = 'Privacy level for users who have not validated their registration<br>';
-$lang['UAM_Valid_Level'] = 'Privacy level for users who have validated their registration<br>';
 $lang['UAM_GTAutoGp'] = 'Automatic change of group / status / privacy level';
 $lang['UAM_Expired_Level'] = '<b>Privacy level</b> for user\'s registration has expired<br>';
@@ -368,22 +268,6 @@
 The admin of the gallery [mygallery] - [myurl]';
 $lang['UAM_Default_GhstDeletion_Txt'] = 'Sorry [username], your account has been deleted due to a too long time passed since your last visit at [mygallery]. Please register again.';
-$lang['UAM_Default_GhstDemotion_Txt'] = 'Sorry [username], your account has been deprecated due to a too long time passed since your last visit at [mygallery]. Please, use the following link to revalidate your account:';
-$lang['UAM_Default_AdminValidation_Txt'] = 'Hello [username]! Thank you for registering and welcome to [mygallery].
-
-Your account has been manually validated by the webmaster of [mygallery]. You may now log in at [myurl] and make any appropriate changes to your profile.';
 $lang['UAM_Default_PwdRequest_Txt'] = 'You have requested a password reset on our gallery. Please, find below your new connection settings.';
-$lang['UAM_Default_ValidationTimeout_Txt'] = 'Sorry, your account has been deleted because you have not validated your registration in requested time ([Kdays] days). Please, retry registration with a valid and non blocked email account.';
-$lang['UAM_Default_CfmMail_Remail_Txt1'] = 'Hello [username].
-		
-This is a reminder message because you registered on our gallery [mygallery] but you do not validate your registration and your confirmation key has expired. To still allow you to access to our gallery, your confirmation period has been reset. You have again x days to validate your registration.
-
-Note: After this period, your account will be permanently deleted.';
-$lang['UAM_Default_CfmMail_Remail_Txt2'] = 'Hello [username].
-
-This is a reminder message because you registered on our gallery [mygallery] but you do not validate your registration and your confirmation key will expire. To allow you access to our gallery, you have x days to confirm your registration by clicking on the link in the message you should have received when you registered.
-
-Note: After this period, your account will be permanently deleted.';
 $lang['UAM_Default_CfmMail_Custom_Txt1'] = 'Welcome [username]! You have confirmed that you are human and may now use [mygallery]!';
-$lang['UAM_Default_CfmMail_Custom_Txt2'] = 'Your activation key is incorrect or expired or you have already validated your account, please contact the webmaster to fix this problem.';
 $lang['UAM_DumpTxt'] = 'Backup and restore your configuration';
 $lang['UAM_Restore'] = 'To restore the backup file of your configuration. Only the saved file on the server is taken into account.
@@ -410,7 +294,5 @@
 $lang['UAM_GTAutoMail'] = 'Automatically sending an email when changing group / status / privacy level';
 $lang['UAM_NewFeature'] = 'New feature !';
-$lang['UAM_RejectConnexion'] = 'Reject user\'s connexion until registration is validated';
 $lang['UAM_RejectConnexion_Custom_Txt'] = 'Customize rejection text';
-$lang['UAM_Default_RejectConnexion_Txt'] = 'Sorry, you don\'t have validate your registration yet, so you can\'t connect the gallery now. Please check your email box. You should find an email sent by the gallery, containing a link to perform your confirmation. If not, please contact the webmaster.';
 $lang['UAM_Reject_Page_Title'] = 'Connexion not allowed !';
 // --------- End: New or revised $lang ---- from version 2.30.2
@@ -419,4 +301,120 @@
 // --------- Starting below: New or revised $lang ---- from version 2.30.3
 $lang['UAM_MailExclusion_No'] = 'Email domains exclusion - Not available because emails are not mandatory for registrations !';
+$lang['UAM_USRAuto'] = 'Automatic management of unconfirmed users';
+$lang['UAM_ConfirmMail_Remail'] = 'Remind unconfirmed users';
+$lang['UAM_No_Usermanager'] = 'No unconfirmed registers to list for the moment';
+$lang['UAM_Stuffs_Desc'] = 'Adds an information block for unconfirmed users';
+/* Email confirmation page */
+$lang['UAM_title_confirm_mail'] = 'Confirm your registration';
+$lang['UAM_confirm_mail_page_title'] = 'Confirm your registration';
+$lang['UAM_%d_Validated_User'] = '%d User confirmed manually';
+$lang['UAM_%d_Validated_Users'] = '%d Users confirmed manually';
+$lang['UAM_No_Confirm_Group'] = 'Group for users who have not confirmed their registration<br>';
+$lang['UAM_Validated_Group'] = 'Group for users who have confirmed their registration<br>';
+$lang['UAM_No_Confirm_Status'] = 'Status for users who have not confirmed their registration<br>';
+$lang['UAM_Validated_Status'] = 'Status for users who have confirmed their registration<br>';
+$lang['UAM_No_Valid_Level'] = 'Privacy level for users who have not confirmed their registration<br>';
+$lang['UAM_Valid_Level'] = 'Privacy level for users who have confirmed their registration<br>';
+$lang['UAM_Err_UserManager_Settings'] = 'This page is available only if "Confirmation of registration" is active and if a group of visitors not confirmed is configured in "Setting confirmations of registration".';
+$lang['UAM_Tips1'] = 'Information of unconfirmed registration with UAM and PWG_Stuffs';
+$lang['UAM_Tips1_txt'] = '
+          <ul>
+            <li>
+            Goals: Inform the visitor that the registration is awaiting approval by displaying a personal block on the home page of the gallery, and this, as registration is not approved.
+            <br><br>
+            <b>Recall: In standard operation, the "Guest" only sees the public categories, without information message.</b>
+            </li><br><br>
+            <li>
+Prerequisite:<br>
+- A gallery with all or some private categories, visible only by registered users<br>
+- At least 2 following Piwigo\'s users groups: "Waiting," without permission on private categories, and "Confirmed" with all the permissions on the private categories<br>
+- UAM plugin<br>
+- PWG Stuffs plugin, for adding a special UAM module<br>
+- Optionally, the plugin Extended Description to support multi-languages<br>
+            </li><br><br>
+            <li>
+Stages:<br><br>
+A. In plugin UAM:
+              <ol>
+                <li>Enable registration confirmation</li>
+                <li>Enable PWG Stuffs module option</li>
+                <li>Enter text for additional explanation which will be attached to mail registration confirmation. If the plugin Extended Description is activated, the language tags can be used</li>
+                <li>Select the "Waiting" group under "For users who have not confirmed their registration"</li>
+                <li>Select the "Confirmed" group under "For users who have confirmed their registration"</li>
+                <li>Save the plugin configuration</li>
+              </ol>
+<br>
+B. In plugin PWG Stuffs :
+              <ol>
+                <li>Go to tab "Add a new module"</li>
+                <li>Choose "UAM Module"</li>
+                <li>Configure the module, indicating the title (eg "Registration pending confirmation") and its description, and only check "Waiting" in the list of groups allowed</li>
+                <li>Complete content of the module with the message information to be displayed to users not confirmed. As UAM, languages markup may be used if the plugin is enabled Extended Description</li>
+                <li>Check "Display the module on the homepage of the site"</li>
+                <li>Validate the configuration of the module</li>
+              </ol>
+            </li>
+          </ul>';
+$lang['UAM_Tips2'] = 'Information of unconfirmed registration with UAM and Additional Pages';
+$lang['UAM_Tips2_txt'] = '
+          <ul>
+            <li>
+            Goals: Inform the visitor that the registration is awaiting confirmation by posting an additional page replacing the standard index page gallery at each of these connections, and this, as registration is not approved.
+            <br><br>
+            Advantages over the method with PWG_Stuffs: Allow formatting information and displaying the information immediately upon registration of visitors.
+            </li><br><br>
+            <li>
+Prerequisite:<br>
+- A gallery with all or some private categories, visible only by registered users<br>
+- At least 2 following Piwigo\'s users groups: "Waiting," without permission on private categories, and "Confirmed" with all the permissions on the private categories<br>
+- UAM plugin<br>
+- Additional Pages plugin for adding and managing an additional page to replace the default index page of the gallery<br>
+- Optionally, the plugin Extended Description to support multi-languages<br>
+            </li><br><br>
+            <li>
+Stages:<br><br>
+A. In plugin UAM:
+              <ol>
+                <li>Enable registration confirmation</li>
+                <li>Enter text for additional explanation which will be attached to mail registration confirmation. If the plugin Extended Description is activated, the language tags can be used</li>
+                <li>Select the "Waiting" group under "For users who have not confirmed their registration"</li>
+                <li>Select the "Confirmed" group under "For users who have confirmed their registration"</li>
+                <li>Save the plugin configuration</li>
+              </ol>
+<br>
+B. In plugin Additional Pages:<br>
+                <b>NOTE : The management of access rights for groups on Additional Pages must be turned on (see plugin configuration settings).</b>
+                <br>
+              <ol>
+                <li>Add a new page with at least the following parameters:</li>
+                <ul>
+                  <li>Page name: The name you wish to give to the additional page (ie: Registration not confirmed)</li>
+                  <li>Set as homepage checked</li>
+                  <li>Groups allowed: Check the box corresponding to the group "Waiting" configured in UAM</li>
+                  <li>Content: The text you want to use for visitors.</li>
+                </ul>
+                <br>
+                <li>And that\'s it! Only visitors registered and whose registration has not been confirmed will see this additional index page.</li>
+              </ol>
+            </li>
+          </ul>';
+$lang['UAM_Default_GhstDemotion_Txt'] = 'Sorry [username], your account has been deprecated due to a too long time passed since your last visit at [mygallery]. Please, use the following link to reconfirm your account:';
+$lang['UAM_Default_AdminValidation_Txt'] = 'Hello [username]! Thank you for registering and welcome to [mygallery].
+
+Your account has been manually confirmed by the webmaster of [mygallery]. You may now log in at [myurl] and make any appropriate changes to your profile.';
+$lang['UAM_Default_ValidationTimeout_Txt'] = 'Sorry, your account has been deleted because you have not confirmed your registration in requested time ([Kdays] days). Please, retry registration with a valid and non blocked email account.';
+$lang['UAM_Default_CfmMail_Remail_Txt1'] = 'Hello [username].
+		
+This is a reminder message because you registered on our gallery [mygallery] but you do not confirm your registration and your confirmation key has expired. To still allow you to access to our gallery, your confirmation period has been reset. You have again x days to confirm your registration.
+
+Note: After this period, your account will be permanently deleted.';
+$lang['UAM_Default_CfmMail_Remail_Txt2'] = 'Hello [username].
+
+This is a reminder message because you registered on our gallery [mygallery] but you do not confirm your registration and your confirmation key will expire. To allow you access to our gallery, you have x days to confirm your registration by clicking on the link in the message you should have received when you registered.
+
+Note: After this period, your account will be permanently deleted.';
+$lang['UAM_Default_CfmMail_Custom_Txt2'] = 'Your activation key is incorrect or expired or you have already confirmed your account, please contact the webmaster to fix this problem.';
+$lang['UAM_RejectConnexion'] = 'Reject user\'s connexion until registration is confirmed';
+$lang['UAM_Default_RejectConnexion_Txt'] = 'Sorry, you don\'t have confirmed your registration yet, so you can\'t connect the gallery now. Please check your email box. You should find an email sent by the gallery, containing a link to perform your confirmation. If not, please contact the webmaster.';
 // --------- End: New or revised $lang ---- from version 2.30.3
 ?>
Index: /extensions/UserAdvManager/trunk/language/fr_FR/help.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/fr_FR/help.lang.php	(revision 12839)
+++ /extensions/UserAdvManager/trunk/language/fr_FR/help.lang.php	(revision 12840)
@@ -28,53 +28,11 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['UAM_restricTitle_d'] = '
-- Exclusion de caractères dans les noms d\'utilisateurs<br>
-- Renforcement des mots de passe<br>
-- Exclusion des domaines de messagerie<br>
-...
-';
-$lang['UAM_userlistTitle_d'] = 'Cette page est à titre d\'information pour l\'administrateur. Elle affiche la liste de tous les utilisateurs inscrits sur la galerie en faisant apparaitre la date et le nombre de jours depuis leur dernière visite. La liste est triée dans l\'ordre croissant du nombre de jours.
-<br><br>
-<b><u>Uniquement lorsque le Ghost Tracker est actif</u></b>, le nombre de jours sans visite s\'affiche selon le code couleur suivant, en fonction du délai maximum paramétré dans les options du Ghost Tracker :
-<br>
-- <b style=&quot;color: lime;&quot;>En vert</b> : Lorsque l\'utilisateur a visité la galerie <b style=&quot;color: lime;&quot;><u>depuis moins de 50%</u></b> du délai maximum renseigné dans le Ghost Tracker.<br>
-- <b style=&quot;color: orange;&quot;>En orange</b> : Lorsque l\'utilisateur a visité la galerie <b style=&quot;color: orange;&quot;><u>entre 50% et 99%</u></b> du délai maximum renseigné dans le Ghost Tracker.<br>
-- <b style=&quot;color: red;&quot;>En rouge</b> : Lorsque l\'utilisateur a visité la galerie <b style=&quot;color: red;&quot;><u>depuis 100% et plus</u></b> du délai maximum renseigné dans le Ghost Tracker. <b><u>Dans ce cas, l\'utilisateur doit également apparaitre dans le tableau du Ghost Tracker.</u></b><br>
-<br>
-Exemple:
-<br>
-Le délai maximum du Ghost Tracker est configuré à 100 jours.
-<br>
-Un utilisateur apparaitra en vert s\'il a visité la galerie depuis moins de 50 jours, en orange si sa dernière visite s\'est déroulée entre 50 et 99 jours et en rouge à 100 jours et au-delà.
-<br><br>
-<b>A NOTER</b>: La liste n\'affiche pas les inscrits qui n\'auraient pas validé leur inscription (si l\'option de confirmation de l\'inscription est activée). Ces utilisateurs sont alors gérés de manière particulière dans l\'onglet &quot;Suivi des confirmations&quot;.
+$lang['UAM_gtTitle_d'] = 'Lorsque la gestion des visiteurs fantômes est activée et initialisée, vous trouverez ci-dessous la liste des visiteurs inscrits sur votre galerie et qui ne sont pas revenus depuis x jours. &quot;x&quot; étant le nombre de jours paramétrés dans l\'onglet de configuration générale. De plus, vous trouverez une colonne précisant si un mail de rappel a déjà été envoyé aux visiteurs ciblés, vous permettant de visualiser d\'un coup d\'oeil et traiter les visiteurs qui n\'auraient pas tenu compte du rappel.<br><br>Dans cette vue, vous pouvez :
+<br><br>
+- Supprimer manuellement les comptes <b>(purge manuelle)</b>
+<br>
+- Générer l\'email de rappel <b>avec réinitialisation de la date de dernière visite</b>. Ce qui permet de donner un &quot;joker&quot; au visiteur ciblé. Si le visiteur a déjà bénéficié d\'un mail de rappel, rien n\'empêche de renvoyer un nouveau mail qui réinitialisera, de fait, la date de dernière visite.
 <br><br>
 <b>Fonction de tri du tableau</b>: Vous pouvez trier les données affichées en cliquant sur les entêtes de colonnes. L\'utilisation de la touche MAJ ou SHIFT permet de trier sur 1 à 4 colonnes simultanées maximum.';
-$lang['UAM_usermanTitle_d'] = 'Lorsque la limitation du délai d\'inscription est activée, vous trouverez ci-dessous la liste des utilisateurs en attente de confirmation d\'inscription <b style=&quot;text-decoration: underline;&quot;>qu\'ils soient ou pas</b> dans les délais pour la valider.<br><br>La date d\'enregistrement s\'affiche en vert lorsque l\'utilisateur concerné est en dessous du temps limite pour valider son inscription. Dans ce cas, la clé de confirmation est toujours valide et on pourra envoyer un email avec ou sans régénération de clé.<br><br>Lorsque la date d\'enregistrement s\'affiche en rouge, le délai de confirmation est expiré. Dans ce cas, on enverra obligatoirement un email avec régénération de clé si on veut permettre à cet utilisateur de pouvoir valider son inscription.<br><br>Dans tous les cas, il est possible de forcer manuellement la confirmation.<br><br>Dans cette vue, vous pouvez :
-<br><br>
-- Supprimer manuellement les comptes <b>(purge manuelle)</b>
-<br>
-- Générer l\'email de rappel <b>sans génération</b> d\'une nouvelle clef. Rappel : Cette fonction ne réinitialise pas la date d\'inscription du visiteur ciblé et le délai d\'expiration est toujours d\'actualité.
-<br>
-- Générer l\'email de rappel <b>avec génération</b> d\'une nouvelle clef. Rappel : Cette fonction réinitialise également la date d\'inscription du visiteur ciblé ce qui équivaut à prolonger le délai de confirmation.
-<br>
-- Valider manuellement une inscription en attente de confirmation même si la date d\'expiration est révolue <b>(forçage de la confirmation)</b>.
-<br><br>
-<b>Fonction de tri du tableau</b>: Vous pouvez trier les données affichées en cliquant sur les entêtes de colonnes. L\'utilisation de la touche MAJ ou SHIFT permet de trier sur 1 à 4 colonnes simultanées maximum.';
-$lang['UAM_gtTitle_d'] = 'Lorsque la gestion des visiteurs fantômes est activée et initialisée, vous trouverez ci-dessous la liste des visiteurs inscrits sur votre galerie et qui ne sont pas revenus depuis x jours. &quot;x&quot; étant le nombre de jours paramétrés dans l\'onglet de configuration générale. De plus, vous trouverez une colonne précisant si un mail de rappel a déjà été envoyé aux visiteurs ciblés, vous permettant de visualiser d\'un coup d\'oeil et traiter les visiteurs qui n\'auraient pas tenu compte du rappel.<br><br>Dans cette vue, vous pouvez :
-<br><br>
-- Supprimer manuellement les comptes <b>(purge manuelle)</b>
-<br>
-- Générer l\'email de rappel <b>avec réinitialisation de la date de dernière visite</b>. Ce qui permet de donner un &quot;joker&quot; au visiteur ciblé. Si le visiteur a déjà bénéficié d\'un mail de rappel, rien n\'empêche de renvoyer un nouveau mail qui réinitialisera, de fait, la date de dernière visite.
-<br><br>
-<b>Fonction de tri du tableau</b>: Vous pouvez trier les données affichées en cliquant sur les entêtes de colonnes. L\'utilisation de la touche MAJ ou SHIFT permet de trier sur 1 à 4 colonnes simultanées maximum.';
-$lang['UAM_confirmmailTitle_d'] = 'Cette option permet soit à un utilisateur de valider son inscription en cliquant sur un lien reçu dans un email envoyé dès son enregistrement sur la galerie, soit à l\'administrateur d\'activer manuellement les inscriptions.<br><br>
-Dans le premier cas, le message envoyé comprend une partie fixe, avec le lien d\'activation généré à partir d\'une clef aléatoire (cette clé peut éventuellement être régénérée via l\'onglet &quot;Suivi des confirmations&quot;), et une partie personnalisable par un texte d\'accueil.
-<br><br>
-Dans le second cas, <b><u>il n\'y a pas d\'envoi de clé de confirmation par email</u></b>. Les visiteurs doivent patienter que l\'administrateur valide lui même leur inscription via l\'onglet &quot;Suivi des confirmations&quot;. Il est conseillé d\'activer la notification des administrateurs lors des inscriptions (voir la configuration des options de Piwigo) et d\'utiliser la fonction &quot;Email d\'information à l\'utilisateur&quot; pour avertir les nouveaux inscrits de la nécessité de patienter avant activation de leur compte.
-<br>
-<b style=&quot;color: red;&quot;>NB: Les options &quot;Limitation du délai de confirmation d\'inscription&quot; et &quot;Mail de rappel aux inscrits non validés&quot; doivent être désactivées lorsque la confirmation manuelle est active.</b>
-<br><br>
-Cette option est généralement utilisée avec  l\'attribution automatique de groupe et/ou de statut. Selon qu\'il a validé ou non son inscription, il est en effet possible d\'affecter à l\'utilisateur un groupe différent, avec plus ou moins de restrictions d\'accès à la galerie.';
 // --------- End: New or revised $lang ---- from version 2.15.4
 
@@ -96,29 +54,4 @@
 $lang['UAM_GTAutoDelTitle'] = 'Message personnalisé de suppression de compte';
 // --------- End: New or revised $lang ---- from version 2.16.0
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.20.0
-$lang['UAM_validationlimitTitle_d'] = 'Cette option permet de limiter le nombre de jours pendant lequel un nouvel utilisateur peut valider son inscription. Une fois ce délai expiré, le lien de confirmation sera invalide, et ne pourra plus être employé.
-<br><br>
-Cette option n\'est utilisable qu\'une fois l\'option &quot;Confirmation d\'inscription&quot; activée.
-<br><br>
-Si cette option et l\'option &quot;Mail de rappel aux inscrits non validés&quot; sont activées, de nouvelles options apparaitront plus bas dans cette section pour permettre l\'automatisation de la gestion des visiteurs non validés.';
-$lang['UAM_remailTitle_d'] = 'Cette option permet d\'envoyer un email de rappel aux utilisateurs n\'ayant pas validé leur inscription dans les temps. Elle n\'a d\'effet qu\'une fois l\'option &quot;Confirmation d\'inscription&quot; activée.
-<br><br>
-2 types d\'email peuvent être envoyés : Avec ou sans régénération de la clef de confirmation. En fonction du cas, le contenu  des emails peut être personnalisé.
-<br><br>
-Reportez-vous à l\'onglet &quot;Suivi des confirmations&quot;.
-<br><br>
-Si cette option et l\'option &quot;Limitation du délai de confirmation d\'inscription&quot; sont activées, de nouvelles options apparaitront plus bas dans cette section pour permettre l\'automatisation de la gestion des visiteurs non validés.';
-$lang['UAM_USRAutoTitle_d'] = 'La gestion automatique des visiteurs non validés est déclenchée à chaque connexion à la galerie et fonctionne ainsi :
-<br><br>
-- Suppression automatique des comptes non validés dans le temps imparti sans envoi automatique de mail de relance -> &quot;Limitation du délai de confirmation d\'inscription&quot; <b><u>est actif</u></b> et &quot;Mail de rappel aux inscrits non validés&quot; <b><u>est inactif</u></b>.
-<br><br>
-- Envoi automatique d\'un message de rappel avec génération d\'une nouvelle clé de confirmation puis suppression automatique des comptes non validés dans le temps imparti après l\'envoi de la relance -> &quot;Limitation du délai de confirmation d\'inscription&quot; <b><u>est actif</u></b> et &quot;Mail de rappel aux inscrits non validés&quot; <b><u>est actif</u></b>.';
-$lang['UAM_USRAutoMailTitle_d'] = 'Lorsque activée, cette fonction enverra automatiquement le contenu personnalisé dans &quot;Message de rappel avec regénération de clé&quot; aux visiteurs répondant au critère.';
-$lang['UAM_StuffsTitle_d'] = 'Ceci permet d\'activer un module supplémentaire UAM dans le plugin PWG Stuffs (si installé) afin d\'informer sur leur état vos visiteurs n\'ayant pas validé leur inscription.
-<br><br>
-Veuillez vous reporter à la section <b>Astuces et exemples d\'utilisation</b> en bas de cette page pour les détails.';
-// --------- End: New or revised $lang ---- from version 2.20.0
 
 
@@ -294,13 +227,4 @@
 
 
-// --------- Starting below: New or revised $lang ---- from version 2.30.2
-$lang['UAM_RejectConnexion_d'] = 'Si activée, les nouveaux inscrits qui n\'ont pas validé leur inscription ne pourront pas se connecter à la galerie. Ils seront redirigés vers une page spéciale pour les informer de cet état.<br><br>
-<b style=&quot;color: red;&quot;>Attention - Cette option fonctionne uniquement avec les groupes de confirmation ! Référez-vous ci-dessous pour affecter les paramètres de groupes requis.</b>';
-$lang['UAM_RejectConnexion_Custom_Txt_d'] = 'Personnalisez ici votre message d\'explication informant les utilisateurs non validés qu\'ils ne pourront pas se connecter à la galerie tant qu\'ils n\'auront pas validé leur inscription.
-<br><br>
-Ce champ est compatible avec l\'extension FCK Editor et, pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.';
-// --------- End: New or revised $lang ---- from version 2.30.2
-
-
 // --------- Starting below: New or revised $lang ---- from version 2.30.3
 $lang['UAM_mailexcTitle_d'] = 'Par défaut, Piwigo accepte toutes les adresses de messagerie au format xxx@yyy.zz. L\'activation de cette option permet d\'exclure certains domaines selon le format : @[nom_du_domaine].[extension_du_domaine].<br><br>
@@ -309,4 +233,72 @@
 @hotmail -> exclusion de toutes les adresses *@hotmail*<br><br>
 <b style=&quot;color: red;&quot;>Attention ! Cette fonction n\'est accessible que si les emails sont obligatoires pour les inscriptions ! Reportez-vous aux options de configuration de Piwigo.';
+$lang['UAM_remailTitle_d'] = 'Cette option permet d\'envoyer un email de rappel aux utilisateurs n\'ayant pas confirmé leur inscription dans les temps. Elle n\'a d\'effet qu\'une fois l\'option &quot;Confirmation d\'inscription&quot; activée.
+<br><br>
+2 types d\'email peuvent être envoyés : Avec ou sans régénération de la clef de confirmation. En fonction du cas, le contenu  des emails peut être personnalisé.
+<br><br>
+Reportez-vous à l\'onglet &quot;Suivi des confirmations&quot;.
+<br><br>
+Si cette option et l\'option &quot;Limitation du délai de confirmation d\'inscription&quot; sont activées, de nouvelles options apparaitront plus bas dans cette section pour permettre l\'automatisation de la gestion des visiteurs non confirmés.';
+$lang['UAM_USRAutoTitle_d'] = 'La gestion automatique des visiteurs non confirmés est déclenchée à chaque connexion à la galerie et fonctionne ainsi :
+<br><br>
+- Suppression automatique des comptes non confirmés dans le temps imparti sans envoi automatique de mail de relance -> &quot;Limitation du délai de confirmation d\'inscription&quot; <b><u>est actif</u></b> et &quot;Mail de rappel aux inscrits non confirmés&quot; <b><u>est inactif</u></b>.
+<br><br>
+- Envoi automatique d\'un message de rappel avec génération d\'une nouvelle clé de confirmation puis suppression automatique des comptes non confirmés dans le temps imparti après l\'envoi de la relance -> &quot;Limitation du délai de confirmation d\'inscription&quot; <b><u>est actif</u></b> et &quot;Mail de rappel aux inscrits non confirmés&quot; <b><u>est actif</u></b>.';
+$lang['UAM_RejectConnexion_d'] = 'Si activée, les nouveaux inscrits qui n\'ont pas confirmé leur inscription ne pourront pas se connecter à la galerie. Ils seront redirigés vers une page spéciale pour les informer de cet état.<br><br>
+<b style=&quot;color: red;&quot;>Attention - Cette option fonctionne uniquement avec les groupes de confirmation ! Référez-vous ci-dessous pour affecter les paramètres de groupes requis.</b>';
+$lang['UAM_RejectConnexion_Custom_Txt_d'] = 'Personnalisez ici votre message d\'explication informant les utilisateurs non confirmés qu\'ils ne pourront pas se connecter à la galerie tant qu\'ils n\'auront pas confirmé leur inscription.
+<br><br>
+Ce champ est compatible avec l\'extension FCK Editor et, pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.';
+$lang['UAM_restricTitle_d'] = '
+- Exclusion de caractères dans les noms d\'utilisateurs<br>
+- Renforcement des mots de passe<br>
+- Exclusion des domaines de messagerie<br>
+...
+';
+$lang['UAM_userlistTitle_d'] = 'Cette page est à titre d\'information pour l\'administrateur. Elle affiche la liste de tous les utilisateurs inscrits sur la galerie en faisant apparaitre la date et le nombre de jours depuis leur dernière visite. La liste est triée dans l\'ordre croissant du nombre de jours.
+<br><br>
+<b><u>Uniquement lorsque le Ghost Tracker est actif</u></b>, le nombre de jours sans visite s\'affiche selon le code couleur suivant, en fonction du délai maximum paramétré dans les options du Ghost Tracker :
+<br>
+- <b style=&quot;color: lime;&quot;>En vert</b> : Lorsque l\'utilisateur a visité la galerie <b style=&quot;color: lime;&quot;><u>depuis moins de 50%</u></b> du délai maximum renseigné dans le Ghost Tracker.<br>
+- <b style=&quot;color: orange;&quot;>En orange</b> : Lorsque l\'utilisateur a visité la galerie <b style=&quot;color: orange;&quot;><u>entre 50% et 99%</u></b> du délai maximum renseigné dans le Ghost Tracker.<br>
+- <b style=&quot;color: red;&quot;>En rouge</b> : Lorsque l\'utilisateur a visité la galerie <b style=&quot;color: red;&quot;><u>depuis 100% et plus</u></b> du délai maximum renseigné dans le Ghost Tracker. <b><u>Dans ce cas, l\'utilisateur doit également apparaitre dans le tableau du Ghost Tracker.</u></b><br>
+<br>
+Exemple:
+<br>
+Le délai maximum du Ghost Tracker est configuré à 100 jours.
+<br>
+Un utilisateur apparaitra en vert s\'il a visité la galerie depuis moins de 50 jours, en orange si sa dernière visite s\'est déroulée entre 50 et 99 jours et en rouge à 100 jours et au-delà.
+<br><br>
+<b>A NOTER</b>: La liste n\'affiche pas les inscrits qui n\'auraient pas confirmé leur inscription (si l\'option de confirmation de l\'inscription est activée). Ces utilisateurs sont alors gérés de manière particulière dans l\'onglet &quot;Suivi des confirmations&quot;.
+<br><br>
+<b>Fonction de tri du tableau</b>: Vous pouvez trier les données affichées en cliquant sur les entêtes de colonnes. L\'utilisation de la touche MAJ ou SHIFT permet de trier sur 1 à 4 colonnes simultanées maximum.';
+$lang['UAM_USRAutoMailTitle_d'] = 'Lorsque activée, cette fonction enverra automatiquement le contenu personnalisé dans &quot;Message de rappel avec regénération de clé&quot; aux visiteurs répondant au critère.';
+$lang['UAM_StuffsTitle_d'] = 'Ceci permet d\'activer un module supplémentaire UAM dans le plugin PWG Stuffs (si installé) afin d\'informer sur leur état vos visiteurs n\'ayant pas confirmé leur inscription.
+<br><br>
+Veuillez vous reporter à la section <b>Astuces et exemples d\'utilisation</b> en bas de cette page pour les détails.';
+$lang['UAM_confirmmailTitle_d'] = 'Cette option permet soit à un utilisateur de confirmer son inscription en cliquant sur un lien reçu dans un email envoyé dès son enregistrement sur la galerie, soit à l\'administrateur d\'activer manuellement les inscriptions.<br><br>
+Dans le premier cas, le message envoyé comprend une partie fixe, avec le lien d\'activation généré à partir d\'une clef aléatoire (cette clé peut éventuellement être régénérée via l\'onglet &quot;Suivi des confirmations&quot;), et une partie personnalisable par un texte d\'accueil.
+<br><br>
+Dans le second cas, <b><u>il n\'y a pas d\'envoi de clé de confirmation par email</u></b>. Les visiteurs doivent patienter que l\'administrateur valide lui même leur inscription via l\'onglet &quot;Suivi des confirmations&quot;. Il est conseillé d\'activer la notification des administrateurs lors des inscriptions (voir la configuration des options de Piwigo) et d\'utiliser la fonction &quot;Email d\'information à l\'utilisateur&quot; pour avertir les nouveaux inscrits de la nécessité de patienter avant activation de leur compte.
+<br>
+<b style=&quot;color: red;&quot;>NB: Les options &quot;Limitation du délai de confirmation d\'inscription&quot; et &quot;Mail de rappel aux inscrits non confirmés&quot; doivent être désactivées lorsque la confirmation manuelle est active.</b>
+<br><br>
+Cette option est généralement utilisée avec  l\'attribution automatique de groupe et/ou de statut. Selon qu\'il ait confirmé ou non son inscription, il est en effet possible d\'affecter à l\'utilisateur un groupe différent, avec plus ou moins de restrictions d\'accès à la galerie.';
+$lang['UAM_usermanTitle_d'] = 'Lorsque la limitation du délai d\'inscription est activée, vous trouverez ci-dessous la liste des utilisateurs en attente de confirmation d\'inscription <b style=&quot;text-decoration: underline;&quot;>qu\'ils soient ou pas</b> dans les délais pour la confirmer.<br><br>La date d\'enregistrement s\'affiche en vert lorsque l\'utilisateur concerné est en dessous du temps limite pour confirmer son inscription. Dans ce cas, la clé de confirmation est toujours valide et on pourra envoyer un email avec ou sans régénération de clé.<br><br>Lorsque la date d\'enregistrement s\'affiche en rouge, le délai de confirmation est expiré. Dans ce cas, on enverra obligatoirement un email avec régénération de clé si on veut permettre à cet utilisateur de pouvoir confirmer son inscription.<br><br>Dans tous les cas, il est possible de forcer manuellement la confirmation.<br><br>Dans cette vue, vous pouvez :
+<br><br>
+- Supprimer manuellement les comptes <b>(purge manuelle)</b>
+<br>
+- Générer l\'email de rappel <b>sans génération</b> d\'une nouvelle clef. Rappel : Cette fonction ne réinitialise pas la date d\'inscription du visiteur ciblé et le délai d\'expiration est toujours d\'actualité.
+<br>
+- Générer l\'email de rappel <b>avec génération</b> d\'une nouvelle clef. Rappel : Cette fonction réinitialise également la date d\'inscription du visiteur ciblé ce qui équivaut à prolonger le délai de confirmation.
+<br>
+- Confirmer manuellement une inscription en attente de confirmation même si la date d\'expiration est révolue <b>(forçage de la confirmation)</b>.
+<br><br>
+<b>Fonction de tri du tableau</b>: Vous pouvez trier les données affichées en cliquant sur les entêtes de colonnes. L\'utilisation de la touche MAJ ou SHIFT permet de trier sur 1 à 4 colonnes simultanées maximum.';
+$lang['UAM_validationlimitTitle_d'] = 'Cette option permet de limiter le nombre de jours pendant lequel un nouvel utilisateur peut confirmer son inscription. Une fois ce délai expiré, le lien de confirmation sera invalide, et ne pourra plus être employé.
+<br><br>
+Cette option n\'est utilisable qu\'une fois l\'option &quot;Confirmation d\'inscription&quot; activée.
+<br><br>
+Si cette option et l\'option &quot;Mail de rappel aux inscrits non confirmés&quot; sont activées, de nouvelles options apparaitront plus bas dans cette section pour permettre l\'automatisation de la gestion des visiteurs non confirmés.';
 // --------- End: New or revised $lang ---- from version 2.30.3
 ?>
Index: /extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 12839)
+++ /extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 12840)
@@ -42,6 +42,4 @@
 $lang['UAM_%d_Reminder_Sent'] = '%d message de rappel a été envoyé';
 $lang['UAM_%d_Reminders_Sent'] = '%d messages de rappel ont été envoyés';
-$lang['UAM_%d_Validated_User'] = '%d Utilisateur validé manuellement';
-$lang['UAM_%d_Validated_Users'] = '%d Utilisateurs validés manuellement';
 
 
@@ -124,11 +122,6 @@
 $lang['UAM_Confirm_Mail'] = 'Confirmation d\'inscription:';
 $lang['UAM_ConfirmMail_Text'] = ' Texte d\'accueil personnalisé:';
-$lang['UAM_No_Confirm_Group'] = 'Pour les utilisateurs n\'ayant pas validé leur inscription<br>';
-$lang['UAM_Validated_Group'] = 'Pour les utilisateurs ayant validé leur inscription<br>';
-$lang['UAM_No_Confirm_Status'] = 'Pour les utilisateurs n\'ayant pas validé leur inscription<br>';
-$lang['UAM_Validated_Status'] = 'Pour les utilisateurs ayant validé leur inscription.<br>';
 $lang['UAM_ValidationLimit_Info'] = 'Limitation du délai de confirmation d\'inscription';
 $lang['UAM_ConfirmMail_TimeOut_true'] = ' Activer. Nombre de jours de délai: ';
-$lang['UAM_ConfirmMail_Remail'] = 'Mail de rappel aux inscrits non validés';
 $lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Texte du message de rappel <b><u>avec</u></b> génération d\'une nouvelle clé de confirmation.';
 $lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Texte du message de rappel <b><u>sans</u></b> génération d\'une nouvelle clé de confirmation.';
@@ -174,5 +167,4 @@
 $lang['UAM_LastVisit_Date'] = 'Dernière visite le';
 $lang['UAM_Nb_Days'] = 'Ecart en jours';
-$lang['UAM_Err_UserManager_Settings'] = 'Cette page n\'est accessible que si "Confirmation d\'inscription" est actif et si un groupe de visiteurs non validés est configuré dans le "Paramétrage des confirmations d\'inscriptions".';
 // --------- End: New or revised $lang ---- from version 2.15.0
 
@@ -214,5 +206,4 @@
 // --------- Starting below: New or revised $lang ---- from version 2.20.0
 $lang['UAM_CustomPasswRetr'] = 'Personnaliser le contenu du mail sur mot de passe perdu';
-$lang['UAM_USRAuto'] = 'Gestion automatique des visiteurs non validés';
 $lang['UAM_USRAutoDel'] = 'Message à la suppressions automatiques des comptes';
 $lang['UAM_USRAutoMail'] = 'Message de rappel automatique';
@@ -220,89 +211,9 @@
 $lang['UAM_Enable'] = ' Activer ';
 $lang['UAM_Tips1'] = 'Information de non confirmation d\'inscription avec UAM et PWG_Stuffs';
-$lang['UAM_Tips1_txt'] = '
-          <ul>
-            <li>
-            Objectifs : Informer le visiteur que son inscription est en attente de confirmation en affichant un bloc personnel sur la page d\'accueil de la galerie; et ce, tant que l\'inscription n\'est pas validée.<br><br>
-            <b>Rappel: En fonctionnement standard, le "Guest" ne voit que les catégories publiques, sans message d\'information.</b>
-            </li><br><br>
-            <li>
-Pré-requis:<br>
-- Une galerie avec tout ou partie des catégories privées, visibles par les seuls utilisateurs inscrits<br>
-- Au moins les 2 groupes d\'utilisateurs Piwigo suivants : "Attente", sans aucune permission sur les catégories privées, et "Validés", avec toutes les permissions sur les catégories privées<br>
-- Le plugin UAM<br>
-- Le plugin PWG Stuffs, pour l\'ajout d\'un module spécial UAM<br>
-- En option, le plugin Extended Description, pour le support multi-langues<br>
-            </li><br><br>
-            <li>
-Réalisation:<br><br>
-A. Dans le plugin UAM:<br>
-              <ol>
-                <li>Activer la confirmation d\'inscription</li>
-                <li>Activer l\'option "Module PWG Stuffs"</li>
-                <li>Saisir un "texte d\'accueil personnalisé" qui sera joint au mail de confirmation d\'inscription. Si le plugin Extended Description est activé, les balises de langues peuvent être utilisées</li>
-                <li>Sélectionner le groupe "Attente" à la rubrique "Pour les utilisateurs n\'ayant pas validé leur inscription"</li>
-                <li>Sélectionner le groupe "Validés" à la rubrique "Pour les utilisateurs ayant validé leur inscription"</li>
-                <li>Enregistrer la configuration du plugin</li>
-              </ol>
-<br>
-B. Dans le plugin PWG Stuffs:<br>
-              <ol>
-                <li>Aller dans l\'onglet "Ajouter un nouveau bloc"</li>
-                <li> Sélectionner "Module UAM"</li>
-                <li>Configurer le module, en indiquant son titre (ex : "Inscription en attente de confirmation") et sa description, et cocher uniquement "Attente" dans la liste des groupes autorisés</li>
-                <li>Compléter le contenu du module avec le texte du message d\'information qui sera affiché aux utilisateurs non validés. Comme dans UAM, les balises de langues peuvent être utilisées si le plugin Extended Description est activé</li>
-                <li>Cocher "Afficher le module sur la page d\'accueil du site"</li>
-                <li>Valider la configuration du module</li>
-              </ol>
-            </li>
-          </ul>';
 $lang['UAM_Tips2'] = 'Information de non confirmation d\'inscription avec UAM et Additional Pages';
-$lang['UAM_Tips2_txt'] = '
-          <ul>
-            <li>
-            Objectifs : Informer le visiteur que son inscription est en attente de confirmation en affichant une page additionnelle remplaçant la page d\'index standard de la galerie à chacune de ces connexions; et ce, tant que l\'inscription n\'est pas validée.
-            <br><br>
-            Avantages par rapport à la méthode avec PWG_Stuffs : Permettre une information mise en forme et moins austère et afficher immédiatement l\'information dès l\'inscription des visiteurs.
-            </li><br><br>
-            <li>
-Pré-requis:<br>
-- Une galerie avec tout ou partie des catégories privées, visibles par les seuls utilisateurs inscrits<br>
-- Au moins les 2 groupes d\'utilisateurs Piwigo suivants : "Attente", sans aucune permission sur les catégories privées, et "Validés", avec toutes les permissions sur les catégories privées<br>
-- Le plugin UAM<br>
-- Le plugin Additional Pages, pour l\'ajout et la gestion d\'une page additionnelle remplaçant la page d\'index par défaut de la galerie<br>
-- En option, le plugin Extended Description, pour le support multi-langues<br>
-            </li><br><br>
-            <li>
-Réalisation:<br><br>
-A. Dans le plugin UAM:<br>
-              <ol>
-                <li>Activer la confirmation d\'inscription</li>
-                <li>Saisir un "texte d\'accueil personnalisé" qui sera joint au mail de confirmation d\'inscription. Si le plugin Extended Description est activé, les balises de langues peuvent être utilisées</li>
-                <li>Sélectionner le groupe "Attente" à la rubrique "Pour les utilisateurs n\'ayant pas validé leur inscription"</li>
-                <li>Sélectionner le groupe "Validés" à la rubrique "Pour les utilisateurs ayant validé leur inscription"</li>
-                <li>Enregistrer la configuration du plugin</li>
-              </ol>
-<br>
-B. Dans le plugin Additional Pages:<br>
-                <b>NOTE : La gestion des droits d\'accès aux pages additionelles pour les groupes doit être activée (voir configuration du plugin Additional Pages).</b>
-                <br>
-              <ol>
-                <li>Ajouter une nouvelle page avec au minimum les paramètres suivants :</li>
-                <ul>
-                  <li>Nom de la page : Le nom que vous souhaiter donner à la page additionnelle (ex : Inscription non validée)</li>
-                  <li>Définir comme page d\'accueil coché</li>
-                  <li>Groupes autorisés : Cocher la case correspondante au groupe "Attente" configuré dans UAM</li>
-                  <li>Contenu : Le texte que vous souhaitez faire apparaitre aux visiteurs.</li>
-                </ul>
-                <br>
-                <li>Et c\'est tout ! Seuls les visiteurs inscrits et dont l\'inscription n\'a pas été validée verront cette page d\'index additionnelle.</li>
-              </ol>
-            </li>
-          </ul>';
 $lang['UAM_No_Ghosts'] = 'Pas de visiteurs fantômes pour l\'instant';
 $lang['UAM_No_Userlist'] = 'Pas de suivi de visiteurs pour l\'instant';
 $lang['UAM_No_Usermanager'] = 'Pas de confirmations d\'inscription pour l\'instant';
 $lang['UAM_Stuffs_Title'] = 'Module UAM';
-$lang['UAM_Stuffs_Desc'] = 'Ajoute un module d\'information des utilisateurs non validés';
 $lang['UAM_Stuffs'] = 'Module PWG Stuffs';
 // --------- End: New or revised $lang ---- from version 2.20.0
@@ -330,6 +241,4 @@
 $lang['UAM_Confirm_Status'] = 'Statuts<br>(------- pour conserver la valeur par défaut de Piwigo)';
 $lang['UAM_Confirm_Level'] = 'Niveau de confidentialité<br>(------- pour conserver la valeur par défaut de Piwigo)';
-$lang['UAM_No_Valid_Level'] = 'Pour les utilisateurs n\'ayant pas validé leur inscription<br>';
-$lang['UAM_Valid_Level'] = 'Pour les utilisateurs ayant validé leur inscription.<br>';
 $lang['UAM_GTAutoGp'] = 'Changement automatique de groupe / statut / niveau de confidentialité';
 $lang['UAM_Expired_Level'] = '<b>Niveau de confidentialité</b> pour les utilisateurs dont l\'inscription aura expirée<br>';
@@ -354,7 +263,4 @@
 
 Vous trouverez ci-dessous vos informations de connexion sur la galerie.';
-$lang['UAM_Default_ConfirmMail_Txt'] = 'Bonjour [username] et merci de vous être inscrit sur la galerie [mygallery].
-
-Pour terminer la procédure et pouvoir parcourir l\'ensemble des photos, merci de bien vouloir valider votre inscription en cliquant sur le lien dans ce message.';
 $lang['UAM_Default_GhstReminder_Txt'] = 'Bonjour [username].
 	
@@ -367,22 +273,6 @@
 L\'administrateur de la galerie [mygallery] - [myurl]';
 $lang['UAM_Default_GhstDeletion_Txt'] = 'Désolé [username], votre compte a été supprimé automatiquement pour cause de délai dépassé depuis votre dernière visite à [mygallery]. Veuillez vous réinscrire.';
-$lang['UAM_Default_GhstDemotion_Txt'] = 'Désolé [username], votre compte a été rétrogradé pour cause de dépassement de délai depuis votre dernière visite à [mygallery]. Veuillez revalider votre inscription en cliquant sur le lien suivant :';
-$lang['UAM_Default_AdminValidation_Txt'] = 'Bonjour [username] et merci de vous être inscrit sur la galerie [mygallery].
-
-Votre inscription a été validée manuellement par l\'administrateur de [mygallery]. Vous pouvez maintenant vous connecter à [myurl] et modifier vos informations de profil.';
 $lang['UAM_Default_PwdRequest_Txt'] = 'Vous avez demandé le renouvellement de votre mot de passe. Veuillez trouver ci-dessous vos nouvelles informations de connexion.';
-$lang['UAM_Default_ValidationTimeout_Txt'] = 'Désolé, votre accès a été supprimé car vous n\'avez pas validé votre inscription dans le temps imparti ([Kdays] jours). Merci de vous réinscrire en prenant garde d\'utiliser une adresse de messagerie valide et accessible.';
-$lang['UAM_Default_CfmMail_Remail_Txt1'] = 'Bonjour [username].
-		
-Ceci est un message de rappel car vous n\'avez pas validé votre inscription sur [mygallery] et votre clé de confirmation a expiré. Pour vous permettre d\'accéder à notre galerie, votre période de confirmation a été réinitialisée. Vous avez donc un nouveau délai de x jours pour valider votre inscription.
-
-Note: A l\'issue de cette période sans confirmation, votre compte sera définitivement supprimé.';
-$lang['UAM_Default_CfmMail_Remail_Txt2'] = 'Bonjour [username].
-
-Ceci est un message de rappel car vous vous êtes inscrit sur notre galerie [mygallery] mais vous n\'avez pas encore validé cette inscription et le délai va bientôt expirer. Un délai supplémentaire de x jours vous est accordé. Veuillez cliquer sur le lien de confirmation que vous avez reçu lors de votre inscription.
-
-Note: A l\'issue de cette période sans confirmation, votre compte sera définitivement supprimé.';
 $lang['UAM_Default_CfmMail_Custom_Txt1'] = 'Bienvenue [username]! Vous avez confirmé que vous étiez bien un humain et non une machine. Vous pouvez maintenant profiter pleinement de [mygallery]!';
-$lang['UAM_Default_CfmMail_Custom_Txt2'] = 'Votre clé d\'activation est incorrecte ou expirée ou vous avez déjà validé votre inscription. Merci de contacter le webmestre de la galerie pour résoudre le problème.';
 $lang['UAM_DumpTxt'] = 'Sauvegarde et restauration de votre configuration';
 $lang['UAM_Restore'] = 'Pour restaurer le fichier de sauvegarde de votre configuration. Seul le fichier sauvegardé sur le serveur est pris en compte.
@@ -408,7 +298,5 @@
 $lang['UAM_GTAutoMail'] = 'Email automatique sur changement de groupe / statut / Niveau de confidentialité';
 $lang['UAM_NewFeature'] = 'Nouvelle option !';
-$lang['UAM_RejectConnexion'] = 'Rejeter les connexions des utilisateurs non validés';
 $lang['UAM_RejectConnexion_Custom_Txt'] = 'Personnaliser le texte de la page de rejet de la connexion';
-$lang['UAM_Default_RejectConnexion_Txt'] = 'Désolé, vous n\'avez pas encore validé votre inscription et vous ne pouvez pas vous connecter maintenant. Merci de vérifier votre boite aux lettres. Vous devriez y trouver un message comportant un lien pour valider votre inscription. Si ce n\'est pas le cas, merci de contacter l\'administrateur de la galerie.';
 $lang['UAM_Reject_Page_Title'] = 'Connexion refusée !';
 // --------- End: New or revised $lang ---- from version 2.30.2
@@ -417,4 +305,116 @@
 // --------- Starting below: New or revised $lang ---- from version 2.30.3
 $lang['UAM_MailExclusion_No'] = 'Exclusion des domaines de messagerie - Inaccessible car les emails ne sont pas obligatoires pour les inscriptions !';
+$lang['UAM_USRAuto'] = 'Gestion automatique des visiteurs non confirmés';
+$lang['UAM_Default_ConfirmMail_Txt'] = 'Bonjour [username] et merci de vous être inscrit sur la galerie [mygallery].
+
+Pour terminer la procédure et pouvoir parcourir l\'ensemble des photos, merci de bien vouloir confirmer votre inscription en cliquant sur le lien dans ce message.';
+$lang['UAM_Default_GhstDemotion_Txt'] = 'Désolé [username], votre compte a été rétrogradé pour cause de dépassement de délai depuis votre dernière visite à [mygallery]. Veuillez reconfirmer votre inscription en cliquant sur le lien suivant :';
+$lang['UAM_Tips2_txt'] = '
+          <ul>
+            <li>
+            Objectifs : Informer le visiteur que son inscription est en attente de confirmation en affichant une page additionnelle remplaçant la page d\'index standard de la galerie à chacune de ces connexions; et ce, tant que l\'inscription n\'est pas confirmée.
+            <br><br>
+            Avantages par rapport à la méthode avec PWG_Stuffs : Permettre une information mise en forme et moins austère et afficher immédiatement l\'information dès l\'inscription des visiteurs.
+            </li><br><br>
+            <li>
+Pré-requis:<br>
+- Une galerie avec tout ou partie des catégories privées, visibles par les seuls utilisateurs inscrits<br>
+- Au moins les 2 groupes d\'utilisateurs Piwigo suivants : "Attente", sans aucune permission sur les catégories privées, et "Confirmés", avec toutes les permissions sur les catégories privées<br>
+- Le plugin UAM<br>
+- Le plugin Additional Pages, pour l\'ajout et la gestion d\'une page additionnelle remplaçant la page d\'index par défaut de la galerie<br>
+- En option, le plugin Extended Description, pour le support multi-langues<br>
+            </li><br><br>
+            <li>
+Réalisation:<br><br>
+A. Dans le plugin UAM:<br>
+              <ol>
+                <li>Activer la confirmation d\'inscription</li>
+                <li>Saisir un "texte d\'accueil personnalisé" qui sera joint au mail de confirmation d\'inscription. Si le plugin Extended Description est activé, les balises de langues peuvent être utilisées</li>
+                <li>Sélectionner le groupe "Attente" à la rubrique "Pour les utilisateurs n\'ayant pas confirmé leur inscription"</li>
+                <li>Sélectionner le groupe "Confirmés" à la rubrique "Pour les utilisateurs ayant confirmé leur inscription"</li>
+                <li>Enregistrer la configuration du plugin</li>
+              </ol>
+<br>
+B. Dans le plugin Additional Pages:<br>
+                <b>NOTE : La gestion des droits d\'accès aux pages additionelles pour les groupes doit être activée (voir configuration du plugin Additional Pages).</b>
+                <br>
+              <ol>
+                <li>Ajouter une nouvelle page avec au minimum les paramètres suivants :</li>
+                <ul>
+                  <li>Nom de la page : Le nom que vous souhaiter donner à la page additionnelle (ex : Inscription non confirmée)</li>
+                  <li>Définir comme page d\'accueil coché</li>
+                  <li>Groupes autorisés : Cocher la case correspondante au groupe "Attente" configuré dans UAM</li>
+                  <li>Contenu : Le texte que vous souhaitez faire apparaitre aux visiteurs.</li>
+                </ul>
+                <br>
+                <li>Et c\'est tout ! Seuls les visiteurs inscrits et dont l\'inscription n\'a pas été confirmée verront cette page d\'index additionnelle.</li>
+              </ol>
+            </li>
+          </ul>';
+$lang['UAM_%d_Validated_User'] = '%d Utilisateur confirmé manuellement';
+$lang['UAM_%d_Validated_Users'] = '%d Utilisateurs confirmés manuellement';
+$lang['UAM_No_Confirm_Group'] = 'Pour les utilisateurs n\'ayant pas confirmé leur inscription<br>';
+$lang['UAM_Validated_Group'] = 'Pour les utilisateurs ayant confirmé leur inscription<br>';
+$lang['UAM_No_Confirm_Status'] = 'Pour les utilisateurs n\'ayant pas confirmé leur inscription<br>';
+$lang['UAM_Validated_Status'] = 'Pour les utilisateurs ayant confirmé leur inscription.<br>';
+$lang['UAM_ConfirmMail_Remail'] = 'Mail de rappel aux inscrits non confirmés';
+$lang['UAM_No_Valid_Level'] = 'Pour les utilisateurs n\'ayant pas confirmé leur inscription<br>';
+$lang['UAM_Valid_Level'] = 'Pour les utilisateurs ayant confirmé leur inscription.<br>';
+$lang['UAM_Err_UserManager_Settings'] = 'Cette page n\'est accessible que si "Confirmation d\'inscription" est actif et si un groupe de visiteurs non confirmés est configuré dans le "Paramétrage des confirmations d\'inscriptions".';
+$lang['UAM_Tips1_txt'] = '
+          <ul>
+            <li>
+            Objectifs : Informer le visiteur que son inscription est en attente de confirmation en affichant un bloc personnel sur la page d\'accueil de la galerie; et ce, tant que l\'inscription n\'est pas confirmée.<br><br>
+            <b>Rappel: En fonctionnement standard, le "Guest" ne voit que les catégories publiques, sans message d\'information.</b>
+            </li><br><br>
+            <li>
+Pré-requis:<br>
+- Une galerie avec tout ou partie des catégories privées, visibles par les seuls utilisateurs inscrits<br>
+- Au moins les 2 groupes d\'utilisateurs Piwigo suivants : "Attente", sans aucune permission sur les catégories privées, et "Confirmés", avec toutes les permissions sur les catégories privées<br>
+- Le plugin UAM<br>
+- Le plugin PWG Stuffs, pour l\'ajout d\'un module spécial UAM<br>
+- En option, le plugin Extended Description, pour le support multi-langues<br>
+            </li><br><br>
+            <li>
+Réalisation:<br><br>
+A. Dans le plugin UAM:<br>
+              <ol>
+                <li>Activer la confirmation d\'inscription</li>
+                <li>Activer l\'option "Module PWG Stuffs"</li>
+                <li>Saisir un "texte d\'accueil personnalisé" qui sera joint au mail de confirmation d\'inscription. Si le plugin Extended Description est activé, les balises de langues peuvent être utilisées</li>
+                <li>Sélectionner le groupe "Attente" à la rubrique "Pour les utilisateurs n\'ayant pas confirmé leur inscription"</li>
+                <li>Sélectionner le groupe "Confirmés" à la rubrique "Pour les utilisateurs ayant confirmé leur inscription"</li>
+                <li>Enregistrer la configuration du plugin</li>
+              </ol>
+<br>
+B. Dans le plugin PWG Stuffs:<br>
+              <ol>
+                <li>Aller dans l\'onglet "Ajouter un nouveau bloc"</li>
+                <li> Sélectionner "Module UAM"</li>
+                <li>Configurer le module, en indiquant son titre (ex : "Inscription en attente de confirmation") et sa description, et cocher uniquement "Attente" dans la liste des groupes autorisés</li>
+                <li>Compléter le contenu du module avec le texte du message d\'information qui sera affiché aux utilisateurs non confirmés. Comme dans UAM, les balises de langues peuvent être utilisées si le plugin Extended Description est activé</li>
+                <li>Cocher "Afficher le module sur la page d\'accueil du site"</li>
+                <li>Valider la configuration du module</li>
+              </ol>
+            </li>
+          </ul>';
+$lang['UAM_Stuffs_Desc'] = 'Ajoute un module d\'information des utilisateurs non confirmés';
+$lang['UAM_Default_AdminValidation_Txt'] = 'Bonjour [username] et merci de vous être inscrit sur la galerie [mygallery].
+
+Votre inscription a été confirmée manuellement par l\'administrateur de [mygallery]. Vous pouvez maintenant vous connecter à [myurl] et modifier vos informations de profil.';
+$lang['UAM_Default_ValidationTimeout_Txt'] = 'Désolé, votre accès a été supprimé car vous n\'avez pas confirmé votre inscription dans le temps imparti ([Kdays] jours). Merci de vous réinscrire en prenant garde d\'utiliser une adresse de messagerie valide et accessible.';
+$lang['UAM_Default_CfmMail_Remail_Txt2'] = 'Bonjour [username].
+
+Ceci est un message de rappel car vous vous êtes inscrit sur notre galerie [mygallery] mais vous n\'avez pas encore confirmé cette inscription et le délai va bientôt expirer. Un délai supplémentaire de x jours vous est accordé. Veuillez cliquer sur le lien de confirmation que vous avez reçu lors de votre inscription.
+
+Note: A l\'issue de cette période sans confirmation, votre compte sera définitivement supprimé.';
+$lang['UAM_Default_CfmMail_Custom_Txt2'] = 'Votre clé d\'activation est incorrecte ou expirée ou vous avez déjà confirmé votre inscription. Merci de contacter le webmestre de la galerie pour résoudre le problème.';
+$lang['UAM_RejectConnexion'] = 'Rejeter les connexions des utilisateurs non confirmés';
+$lang['UAM_Default_CfmMail_Remail_Txt1'] = 'Bonjour [username].
+		
+Ceci est un message de rappel car vous n\'avez pas confirmé votre inscription sur [mygallery] et votre clé de confirmation a expiré. Pour vous permettre d\'accéder à notre galerie, votre période de confirmation a été réinitialisée. Vous avez donc un nouveau délai de x jours pour confirmer votre inscription.
+
+Note: A l\'issue de cette période sans confirmation, votre compte sera définitivement supprimé.';
+$lang['UAM_Default_RejectConnexion_Txt'] = 'Désolé, vous n\'avez pas encore confirmé votre inscription et vous ne pouvez pas vous connecter maintenant. Merci de vérifier votre boite aux lettres. Vous devriez y trouver un message comportant un lien pour confirmer votre inscription. Si ce n\'est pas le cas, merci de contacter l\'administrateur de la galerie.';
 // --------- End: New or revised $lang ---- from version 2.30.3
 ?>
